Bug 19369 - slapd doesn't call chdir after chroot
Summary: slapd doesn't call chdir after chroot
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openldap (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-19 08:35 UTC by Jarno Huuskonen
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-20 20:35:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jarno Huuskonen 2000-10-19 08:35:49 UTC
Hi,

slapd doesn't call chdir after/before doing chroot -> leaves cwd outside of
chroot.
This bug is still in openldap-2.0.6 but should be fixed in future versions.

(The bug is in openldap-2.0.4/servers/slapd/main.c LINE 304)

-Jarno

Comment 1 Nalin Dahyabhai 2000-10-20 20:35:38 UTC
It appears that OpenLDAP 2.0.7 will be released within the next week or so.  If
it's not fixed then, I'll go ahead and patch the local copy.

Comment 2 Nalin Dahyabhai 2000-10-25 22:24:45 UTC
I've added a patch to openldap-2.0.6-4, though 2.0.7 will almost certainly make
it a duplication of effort.


Note You need to log in before you can comment on or make changes to this bug.